commit:     f11431778bc47cc44a32964f280fd579c875796c
Author:     Sébastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 21 18:09:59 2017 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Mon Jul 24 19:32:42 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f1143177

sci-libs/o2scl: initial import

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 sci-libs/o2scl/Manifest           |  1 +
 sci-libs/o2scl/metadata.xml       | 22 +++++++++++++
 sci-libs/o2scl/o2scl-0.920.ebuild | 68 +++++++++++++++++++++++++++++++++++++++
 3 files changed, 91 insertions(+)

diff --git a/sci-libs/o2scl/Manifest b/sci-libs/o2scl/Manifest
new file mode 100644
index 00000000000..5a647c87404
--- /dev/null
+++ b/sci-libs/o2scl/Manifest
@@ -0,0 +1 @@
+DIST o2scl-0.920.tar.gz 34498666 SHA256 
dd08c0cb0ab13b9d63ae0cc83f026f69076166877a76661aa5059b7cce29e712 SHA512 
a80c959b76d15473e206f1caac496607af254f0617f7a18d13bd9732861b6c51f5db8ca3ff6866bb8d0ea70865d4ac94cb972e0a0c158f19034667340341467c
 WHIRLPOOL 
625548dd5c954d2227627f6ae0b04ccb81ba55948e5f0b5a8315b491ef45a2648b62c062aadc5c0689ce2c2c404996132d33f3ad924c1a1e5ed68c95554d40dc

diff --git a/sci-libs/o2scl/metadata.xml b/sci-libs/o2scl/metadata.xml
new file mode 100644
index 00000000000..12a668d82eb
--- /dev/null
+++ b/sci-libs/o2scl/metadata.xml
@@ -0,0 +1,22 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="project">
+    <email>[email protected]</email>
+    <name>Gentoo Science Project</name>
+  </maintainer>
+  <longdescription lang="en">
+  O2scl is a C++ class library for object-oriented numerical
+  programming. It includes classes based on numerical routines from
+  GSL and CERNLIB and two sub-libraries: thermodynamics of ideal and
+  nearly-ideal particles with quantum statistics and e quations of
+  state for finite density relevant for neutron stars.
+  </longdescription>
+  <use>
+    <flag name="armadillo">Build matrix manipulation with 
<pkg>sci-libs/armadillo</pkg></flag>    
+    <flag name="eigen">Build matrix manipulation with 
<pkg>dev-cpp/eigen</pkg></flag>
+  </use>
+  <upstream>
+    <remote-id type="github">awsteiner/o2scl</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git a/sci-libs/o2scl/o2scl-0.920.ebuild 
b/sci-libs/o2scl/o2scl-0.920.ebuild
new file mode 100644
index 00000000000..bf2fa4a38a8
--- /dev/null
+++ b/sci-libs/o2scl/o2scl-0.920.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit flag-o-matic
+
+DESCRIPTION="Object-oriented Scientific Computing Library"
+HOMEPAGE="http://web.utk.edu/~asteine1/o2scl";
+SRC_URI="https://github.com/awsteiner/${PN}/releases/download/v${PV}/${P}.tar.gz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="armadillo debug doc examples eigen fftw gsl hdf5 openmp readline 
static-libs"
+
+RDEPEND="
+       dev-libs/boost:0=
+       >=sci-libs/gsl-2:0=
+       virtual/cblas:=
+       eigen? ( dev-cpp/eigen:3 )
+       armadillo? ( sci-libs/armadillo[lapack] )
+       fftw? ( sci-libs/fftw:3.0= )
+       hdf5? ( sci-libs/hdf5:0= )
+       readline? ( sys-libs/readline:0= )
+"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+
+pkg_pretend() {
+       [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+}
+
+pkg_setup() {
+       if [[ ${MERGE_TYPE} != binary ]] && use openmp && ! tc-check-openmp; 
then
+               ewarn "OpenMP is not available in your current selected 
compiler"
+               die "need openmp capable compiler"
+       fi
+}
+
+src_configure() {
+       use debug || append-cppflags -DO2SCL_NO_RANGE_CHECK
+       econf \
+               --enable-acol \
+               $(use_enable armadillo) \
+               $(use_enable eigen) \
+               $(use_enable fftw) \
+               $(use_enable gsl gsl2) \
+               $(use_enable hdf5 hdf) \
+               $(use_enable hdf5 partlib) \
+               $(use_enable hdf5 eoslib) \
+               $(use_enable openmp) \
+               $(use_enable static-libs static)
+}
+
+src_install() {
+       default
+       use static-libs || prune_libtool_files
+       rm -r "${ED}"/usr/doc || die
+       if use doc; then
+               dodoc -r doc/o2scl/html
+               docompress -x /usr/share/doc/${PF}/html
+       fi
+       if use examples; then
+               dodoc -r examples
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+}

Reply via email to